<template>
    <main class="login-form">
    <div class="container">
        <div class="row justify-content-center">
    <div class="col-md-8">
        <div class="card">
            <div class="card-header">Login</div>
            <div class="card-body">

                <div>

                    <div id="errors-list"></div>

                    <div class="form-group row">
                        <label for="email_address" class="col-md-4 col-form-label text-md-right">E-Mail Address</label>
                        <div class="col-md-6">
                            <input type="text" id="email_address" class="form-control" name="email" v-model="credential.email" required autofocus>
                          
                        </div>
                    </div>

                    <div class="form-group row">
                        <label for="password" class="col-md-4 col-form-label text-md-right">Password</label>
                        <div class="col-md-6">
                            <input type="password" id="password" class="form-control" name="password" v-model="credential.password">
                          
                        </div>
                    </div>


                    <div class="col-md-6 offset-md-4">
                        <button class="btn btn-primary" v-on:click="doLogin(credential)">
                            Login
                        </button>
                    </div>
                </div>
                    
            </div>
        </div>
    </div>
</div>
    </div>
    </main>
</template>
<script>
 export default {
    data() {
        return {
            credential: {
                email:null,
                password:null
            },
        }
    },
    methods: {
        doLogin(credential) {
            if(credential.email!=null && credential.email!='' && credential.password!=null && credential.password!='')
            axios.post('/api/login',credential)
                .then((res) => {
                    if(res.data.success){
                        localStorage.setItem('token',res.data.data.token);
                    localStorage.setItem('username',res.data.data.name);
                    window.location = res.data.redirect;
                    }else{
                        $("#errors-list").append("<div class='alert alert-danger'>" + res.data.message + "</div>");
                    }
                }).catch((err) => {
                    console.log('error');
                    $("#errors-list").append("<div class='alert alert-danger'>" + res.data.message + "</div>");
                })
        }
    },
    created() {
        // this.getProduct();
    }
}
  </script>
